import { GetStaticPropsContext } from "next";
import { AccessToken, Locale } from "./types";
export declare function deserialize(body: any, options?: any): import("jsona/lib/JsonaTypes").TJsonaModel;
export declare function getJsonApiPathForResourceType(type: string, locale?: Locale): Promise<string>;
export declare function getJsonApiIndex(locale?: Locale, options?: {
    accessToken?: AccessToken;
}): Promise<{
    links: {
        [type: string]: {
            href: string;
        };
    };
}>;
export declare function buildUrl(path: string, params?: string | Record<string, string> | URLSearchParams): URL;
export declare function buildHeaders({ accessToken, headers, }?: {
    accessToken?: AccessToken;
    headers?: RequestInit["headers"];
}): Promise<RequestInit["headers"]>;
export declare function getPathFromContext(context: GetStaticPropsContext, prefix?: string): string;
export declare function syncDrupalPreviewRoutes(path: any): void;
